version: '3'
services:
  tinyproxy:
    image: vimagick/tinyproxy
    container_name: tinyproxy
    ports:
    - "40809:40809"
    volumes:
    - /opt/docker-data/tinyproxy:/etc/tinyproxy
#    environment:
#    - TINYPROXY_USER=abc
#    - TINYPROXY_PASSWORD=abc
#    - TINYPROXY_UPSTREAM_PROXY=http://proxy.example.com:3128
    restart: unless-stopped